Subject: Re: bug#53281: 29.0.50; wishlist: eww should handle Referrer better

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 21 Jan 2022 14:28:58 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> Currently eww handles Referrer inconsistently, I think?  (I haven't
> actually looked at the code.)  I think it does send over Referrer when
> doing normal clicks, but it doesn't do that when fetching images.

No, it seems to do everything properly here (except when hitting `g' in
the eww buffer -- it sends over a referer then too, but I don't really
think we care).

It punts all this to url-lastloc-privacy-level, which allows the user to
customise all this, so there's nothing to do here, and I'm closing this
bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no